## ros-jazzy-image-geometry 4.1.0

=== debian/changelog ===
ros-jazzy-image-geometry (4.1.0-1bookworm) bookworm; urgency=high

  * Handle upstream deprecation of numpy.matrix, by deprecating methods that return numpy.matrix (#527 <https://github.com/ros-perception/vision_opencv/issues/527>)
  * Introduce new methods which return numpy.ndarray, that follow python coding style (snake_case) (#527 <https://github.com/ros-perception/vision_opencv/issues/527>)
  * Add tests for deprecated members, fix a few discovered bugs (#527 <https://github.com/ros-perception/vision_opencv/issues/527>)
  * Enable tests that were disabled during ros 2 port (#527 <https://github.com/ros-perception/vision_opencv/issues/527>)
  * Add python3-deprecated dependency (#527 <https://github.com/ros-perception/vision_opencv/issues/527>)
  * Add rectify_image test (#527 <https://github.com/ros-perception/vision_opencv/issues/527>)
  * Contributors: Kenji Brameld, Scott Monaghan

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 18 Apr 2024 16:00:00 -0000

ros-jazzy-image-geometry (4.0.0-1bookworm) bookworm; urgency=high

  * Add unit tests for all public members (#526 <https://github.com/ros-perception/vision_opencv/pull/526>)
  * Remove header files that were deprecated in I-turtle (#517 <https://github.com/ros-perception/vision_opencv/issues/517>)
  * Use c++17 (#515 <https://github.com/ros-perception/vision_opencv/issues/515>)
  * Remove unused travis file
  * Contributors: Kenji Brameld, Scott Monaghan, andrea, ijnek

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 12 Apr 2024 16:00:00 -0000

ros-jazzy-image-geometry (3.4.0-1bookworm) bookworm; urgency=high

  * Add fovX and fovY functions in python, cpp (#493 <https://github.com/ros-perception/vision_opencv/issues/493>)
  * Contributors: Chris Thierauf, Kenji Brameld

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 02 Oct 2022 16:00:00 -0000

ros-jazzy-image-geometry (3.3.1-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 20 Sep 2022 16:00:00 -0000

ros-jazzy-image-geometry (3.3.0-1bookworm) bookworm; urgency=high

  * Add apache license and bsd license, because both are used. (#479 <https://github.com/ros-perception/vision_opencv/issues/479>)
  * Deprecate .h files in favor of .hpp headers (#448 <https://github.com/ros-perception/vision_opencv/issues/448>)
  * Reorganize author tag (#460 <https://github.com/ros-perception/vision_opencv/issues/460>)
  * Add description of MISSING_Z (#454 <https://github.com/ros-perception/vision_opencv/issues/454>)
  * Fix visibility of static const data member MISSING_Z (#442 <https://github.com/ros-perception/vision_opencv/issues/442>)
  * Update maintainers (#451 <https://github.com/ros-perception/vision_opencv/issues/451>)
  * Contributors: Kenji Brameld, Wolf Vollprecht

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 13 Sep 2022 16:00:00 -0000

ros-jazzy-image-geometry (3.0.3-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 31 Mar 2022 16:00:00 -0000

ros-jazzy-image-geometry (3.0.2-1bookworm) bookworm; urgency=high

  * Minor cleanups to the ROS 2 branch (#418 <https://github.com/ros-perception/vision_opencv/issues/418>)
  * Forward ports from Noetic (#420 <https://github.com/ros-perception/vision_opencv/issues/420>)
    * substituted missing sphinx extension (#417 <https://github.com/ros-perception/vision_opencv/issues/417>)
    * Fix rectifyRoi when used with binning and/or ROI (#378 <https://github.com/ros-perception/vision_opencv/issues/378>)
    * Implement unrectifyImage() (#359 <https://github.com/ros-perception/vision_opencv/issues/359>)
    * Add equidistant distortion model (#358 <https://github.com/ros-perception/vision_opencv/issues/358>)
  * Contributors: Chris Lalancette, Martin Günther, Michael Carroll, Paddy

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 26 Jan 2022 16:00:00 -0000

ros-jazzy-image-geometry (3.0.1-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 24 Jan 2022 16:00:00 -0000

ros-jazzy-image-geometry (3.0.0-1bookworm) bookworm; urgency=high

  * Export Modern CMake targets and install includes to another folder(#419 <https://github.com/ros-perception/vision_opencv/issues/419>)
  * fix windows build for image_geometry (#388 <https://github.com/ros-perception/vision_opencv/issues/388>)
  * Contributors: Evan Flynn, Shane Loretz

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 18 Jan 2022 16:00:00 -0000

ros-jazzy-image-geometry (2.2.1-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 15 Jul 2020 16:00:00 -0000

ros-jazzy-image-geometry (2.2.0-1bookworm) bookworm; urgency=high

  * Updated fromCameraInfo function to match ROS2 CameraInfo message (#295 <https://github.com/ros-perception/vision_opencv/issues/295>)
  * Contributors: Luca Della Vedova

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 26 May 2020 16:00:00 -0000

ros-jazzy-image-geometry (2.1.3-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 22 Oct 2019 16:00:00 -0000

ros-jazzy-image-geometry (2.1.2-1bookworm) bookworm; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 29 May 2019 16:00:00 -0000

ros-jazzy-image-geometry (2.1.1-1bookworm) bookworm; urgency=high

  * [image_geometry] Enable python package installation (#257 <https://github.com/ros-perception/vision_opencv/issues/257>)
    * [image_geometry] Install python package.
  * Contributors: Michael Carroll

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 25 Apr 2019 16:00:00 -0000

ros-jazzy-image-geometry (2.1.0-1bookworm) bookworm; urgency=high

  * python 3 compatibility in test (#244 <https://github.com/ros-perception/vision_opencv/issues/244>)
  * Ros2 revert handmade message initialization (#245 <https://github.com/ros-perception/vision_opencv/issues/245>)
    * revert initialization in PinholeCameraModel constructor (https://github.com/ros2/vision_opencv/pull/1/commits/d2e5edb207c58a54737c4949efe0ac9d4e638962)

